html
{
    font-family: "Cabin";
}

body
{
    background-color: #009787;
}

.top-bar
{
    background-color: white;
}

.top-bar-left
{
    margin-left: 3%;
}

.top-bar-right
{
    margin-right: 3%;
    padding-left: 2%;
}

ul.menu.horizontal.nav
{
    background-color: white;
    flex-wrap: nowrap;
}

.nav li
{
    font-family: "Cabin", sans-serif;
    flex-wrap: nowrap;
    white-space: nowrap;
    border: 1px solid rgba(0, 0, 0, 0.0);
}

.nav li a
{
    color: #606060;
    font-family: "Cabin", sans-serif;
}

.nav li:hover a, .nav li:active a
{
    color: white;
    transition: color, 0.5s;
    background-color: #009787;
    transition: background-color, 0.5s;
    text-decoration: underline;
    transition: text-decoration, 0.5s;
}

#geomap
{
    color: white;
    background-color: #009787;
}

.geomap
{
    width: 80%;
    align-self: center;
    text-align: center;
    margin: 0% 10%;
    background-color: #009787;
    margin-top: 50px;
    color: white;
    margin-bottom: 50px;
}

.geomap h2
{
    font-family: "Cabin", sans-serif;
    font-size: 40px;
    font-weight: 700;
    padding-bottom: 5px;
}

.geomap h3
{
    font-family: "Cabin", sans-serif;
    font-size: 30px;
    font-weight: 500;
    padding-bottom: 20px;
}

.geomap p
{
    font-family: "Cabin", sans-serif;
    font-size: 20px;
    font-weight: 10;
}

.geomap button
{
    font-size: 30px;
    background-color: white;
    color: #009787;
    border: 3px solid white;
    border-radius: 10px;
    padding: 10px;
    margin-bottom: 25px;
}

.geomap button:hover
{
    background-color: #009787;
    color: white;
    cursor: pointer;
}

#map
{
    border: 10px solid #fdb705;
}

#geoForm
{
    color: black;
    margin: 25vh 25vw 25vh 25vw;
    z-index: 1200;
    position: fixed;
    display: none;
    opacity: 0;
    transition: opacity, 0.5s;
}

#geoFormContent
{
    background-color: white;
    max-width: 50vw;
    margin: auto;
    z-index: 2000;
}

#geoFormHeading
{
    background-color: #fdb705;
    text-align: center;
    color: white;
}

#geoFormHeadingContent
{
    padding: 15px;
}

#geoFormHeadingContent h4
{
    font-family: "Cabin", sans-serif;
}

#postcodeID
{
    font-weight: 600;
    font-family: "Cabin", sans-serif;
}

#geoForm #smallCross
{
    width: 15px;
    height: 15px;
    position: relative;
    display: block;
    float: right;
}

#geoForm #smallCross:hover
{
    cursor: pointer;
}

#geoFormBackground
{
    background-color: rgba(0, 0, 0, 0.85);
    width: 100vw;
    height: 100vh;
    z-index: 1100;
    position: fixed;
    display: none;
    opacity: 0;
    transition: opacity, 0.5s;
}

#geomap-container
{
    display: flex;
    margin: 25px;
}

#geomap-item1
{
    width: 50%;
    position: inline-flex;
    margin-right: 3%;
    text-align: left;
    font-family: "Cabin", sans-serif;
}

#geomap-item1 p
{
    text-align: left;
}

#text-region
{
    height: 100%;
    align-content: space-around;
}

#geomap-item2
{
    width: 50%;
    position: inline-flex;
    margin-left: 3%;
    float: right;
    font-family: "Cabin", sans-serif;
}

#confirmation h3
{
    font-size: 25px;
    text-align: center;
    font-family: "Cabin", sans-serif;
}

#confirmation
{
    display: none;
    opacity: 0;
}

input#Submit.button
{
    font-size: 20px;
    background-color: #009787;
    color: white;
    border: 3px solid #009787;
    border-radius: 10px;
    padding: 10px;
    margin: auto;
}

input#Submit.button:hover
{
    background-color: white;
    color: #009787;
    cursor: pointer;
}

div.leaflet-popup-content h6
{
    color: black;
    text-align: center;
    font-size: 18px;
}

div.leaflet-popup-content button
{
    font-size: 20px;
    background-color: #009787;
    color: white;
    border: 3px solid #009787;
    border-radius: 10px;
    padding: 10px;
    margin: auto;
}

div.leaflet-popup-content button:hover
{
    background-color: white;
    color: #009787;
    cursor: pointer;
    border: 3px solid #009787;
}

div.leaflet-control-zoom.leaflet-bar.leaflet-control, a.leaflet-control-zoom-in, a.leaflet-control-zoom-out, div.leaflet-control-attribution.leaflet-control, div.leaflet-control-attribution.leaflet-control a
{
    z-index: 5;
    display: hidden;
}

@media only screen and (max-width: 1100px)
{
    ul.menu.horizontal.nav
    {
        padding-top: 10px;
        justify-content: center;
        scale: 90%;
    }
}

@media only screen and (max-width: 900px)
{
    div.top-bar-left
    {
        width: 60%;
    }

    ul.menu.horizontal.nav
    {
        scale: 75%;
    }

    #footer-box1 p, #footer-box3 ul li a p
    {
        font-size: 12px;
    }

    .box
    {
        height: 75px;
    }
    
    #geoForm
    {
        margin: 20vh 12.5vw 20vh 12.5vw;
    }
    
    #geoFormContent
    {
        max-width: 75vw;
    }
    
    .geomap h2
    {
        font-size: 30px;
    }
    
    .geomap h3
    {
        font-size: 20px;
    }
}

@media only screen and (max-width: 639px)
{
    ul.menu.horizontal.nav
    {
        padding-top: 10px;
        justify-content: center;
        scale: 65%;
    }

    div.top-bar-left
    {
        padding: 0 0;
        text-align: center;
    }

    div.top-bar-left img#logo
    {
        width: 85%;
    }

    .top-bar-left
    {
        margin: 0 0;
        padding: 0 0;
    }

    .top-bar-right
    {
        margin: 0 0;
        padding: 0 0;
    }
    
    #geoForm
    {
        margin: 10vh 2.5vw 10vh 2.5vw;
    }
    
    #geoFormContent
    {
        max-width: 95vw;
    }
}

@media only screen and (max-width: 638px)
{
    #footer-container {
        margin-top: 10px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        height: auto;
    }

    .box {
        width: 300px;
        height: 50px;
        margin: 0px;
        text-align: center;
    }
    
    div#footer-box1.box
    {
        height: 100%;
        width: auto;
        float: none;
        padding: 5px;
    }

    div#footer-box2.box
    {
        padding: 2px;
    }

    #footer-box1 p, #footer-box3 ul li a p
    {
        font-size: 18px;
    }

    div#footer-box3.box
    {
        height: 100%;
        width: auto;
        float: none;
        padding: 5px;
    }
}

@media only screen and (max-width: 325px)
{
    div.top-bar-right a
    {
        font-size: 10px;
    }
}